Subject: Bug#538348: pkgsel/tasksel: can no longer determine free space for desktop task

From: Frans Pop <[email-masked]>
Date: Sat, 25 Jul 2009 14:55:57 +0200

On Saturday 25 July 2009, Colin Watson wrote:
> > Probably related to the problem reported by Martin re.
> > initramfs-tools: an incorrect state of /etc/mtab in /target. It may
> > also a result of the change Colin committed in debootstrap this week.
>
> Mm, yes, that's probable, although without that change it would
> presumably have been getting garbage data from /etc/mtab anyway. (df
> doesn't seem to fall back to /proc/mounts.)
>
> Perhaps we should temporarily make /target/etc/mtab a symlink to
> /proc/mounts while running tasksel? Eventually I believe the plan is to
> do that in the regular system anyway, but until the rest of the world
> catches up ...

Won't that have the /target prefix in it for some mounts and thus be 
unusable inside a chroot?